io.vertx.cassandra

## Interface ResultSet

-     public interface ResultSet

  It is like `ResultSet`, but adapted for Vert.x.
  Author:
    Pavel Drankou, Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet` | `all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)` The method should not be used concurrently with others like `several(int, Handler)` or `one(Handler)`.
    `ResultSet` | `fetchMoreResults(Handler<AsyncResult<Void>> handler)`
    `List<com.datastax.driver.core.ExecutionInfo>` | `getAllExecutionInfo()`
    `int` | `getAvailableWithoutFetching()`
    `com.datastax.driver.core.ColumnDefinitions` | `getColumnDefinitions()`
    `com.datastax.driver.core.ExecutionInfo` | `getExecutionInfo()`
    `boolean` | `isExhausted()`
    `boolean` | `isFullyFetched()`
    `ResultSet` | `one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)` The method should not be used concurrently with others like `several(int, Handler)` or `all(Handler)`.
    `ResultSet` | `several(int amount, Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)` Fetch a specific amount of rows and notify via a handler.
    `boolean` | `wasApplied()`

- - ### Method Detail

    - #### isExhausted

          boolean isExhausted()

      See Also:
        `PagingIterable.isExhausted()`

    - #### isFullyFetched

          boolean isFullyFetched()

      See Also:
        `PagingIterable.isFullyFetched()`

    - #### getAvailableWithoutFetching

          int getAvailableWithoutFetching()

      See Also:
        `PagingIterable.getAvailableWithoutFetching()`

    - #### fetchMoreResults

          ResultSet fetchMoreResults(Handler<AsyncResult<Void>> handler)

      Parameters:
        `handler` - handler called when result is fetched
      See Also:
        `PagingIterable.fetchMoreResults()`

    - #### one

          ResultSet one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)

      The method should not be used concurrently with others like `several(int, Handler)` or `all(Handler)`. This may lead to unexpected result.
      Parameters:
        `handler` - handler called when one row is fetched
      See Also:
        `ResultSet.one()`

    - #### several

          ResultSet several(int amount,
                            Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)

      Fetch a specific amount of rows and notify via a handler.

      If remaining amount of rows in a result set is less than desired amount of rows to fetch, the `handler` will be called with a successful result encompassing just the remaining rows.

      The method should not be used concurrently with others like `one(Handler)` or `all(Handler)`. This may lead to unexpected result.

      Parameters:
        `handler` - the handler
        `amount` - the amount

    - #### all

          ResultSet all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)

      The method should not be used concurrently with others like `several(int, Handler)` or `one(Handler)`. This may lead to unexpected result.
      Parameters:
        `handler` - handler called when all the rows is fetched
      See Also:
        `PagingIterable.all()`

    - #### getColumnDefinitions

          com.datastax.driver.core.ColumnDefinitions getColumnDefinitions()

      See Also:
        `ResultSet.getColumnDefinitions()`

    - #### wasApplied

          boolean wasApplied()

      See Also:
        `ResultSet.wasApplied()`

    - #### getExecutionInfo

          com.datastax.driver.core.ExecutionInfo getExecutionInfo()

      See Also:
        `PagingIterable.getExecutionInfo()`

    - #### getAllExecutionInfo

          List<com.datastax.driver.core.ExecutionInfo> getAllExecutionInfo()

      See Also:
        `PagingIterable.getExecutionInfo()`

Copyright © 2020 Eclipse. All rights reserved.